## org.gnu.gtk
Interface Editable

All Known Implementing Classes:
  Entry

public interface Editable

The Editable interface is used by widgets that edit text, such as `Entry` widget. It cannot be instantiated by itself. This interface contains functions for generically manipulating an editable widget, a large number of action events used for key bindings, and several events that an application can connect to to modify the behavior of a widget.

Method Summary
`void` `copyClipboard()` Causes the characters in the current selection to be copied to the clipboard.
`void` `cutClipboard()` Causes the characters in the current selection to be copied to the clipboard and then deleted from the widget.
`void` `deleteSelection()` Deletes the contents of the current selection.
`void` `deleteText(int start, int end)` Delete a sequence of characters.
`java.lang.String` `getCharacters(int start, int end)` Retrieve a sequence of characters.
`int` `getCursorPosition()` Retrieves the current cursor position.
`boolean` `getEditable()` Retrieves whether the text contained in the widget is editable.
`int` `insertText(java.lang.String text, int offset)` Insert text at a given point
`void` `pasteClipboard()` Causes the contents of the clipboard to be pasted into this widget at the current cursor position.
`void` `selectRegion(int start, int end)` Select a region of text.
`void` `setCursorPosition(int position)` Sets the cursor position
`void` `setEditable(boolean isEditable)` Determines if the user can edit the text contained in the widget.

Method Detail

### selectRegion

    public void selectRegion(int start,
                             int end)

  Select a region of text. The characters that are selected are those characters at positions from start up to, but not including end. If end is negative, then the characters selected will be those characters from start to the end of the text

### insertText

    public int insertText(java.lang.String text,
                          int offset)

  Insert text at a given point

  Parameters:
    `text` - The text to insert.
    `offset` - The offset into the buffer to begin the insert.
  Returns:
    The current offset after the text has been inserted.

### deleteText

    public void deleteText(int start,
                           int end)

  Delete a sequence of characters. The characters that are deleted are those characters from position start up to, but not including end. If end is a negative number then the characters to be deleted are from start until the end of the text.

### getCharacters

    public java.lang.String getCharacters(int start,
                                          int end)

  Retrieve a sequence of characters. The characters that are retrieved are those characters from position start up to, but not including end. If end is negative, then the characters retrieved will be those characters from start until the end of the text.

### cutClipboard

    public void cutClipboard()

  Causes the characters in the current selection to be copied to the clipboard and then deleted from the widget.

### copyClipboard

    public void copyClipboard()

  Causes the characters in the current selection to be copied to the clipboard.

### pasteClipboard

    public void pasteClipboard()

  Causes the contents of the clipboard to be pasted into this widget at the current cursor position.

### deleteSelection

    public void deleteSelection()

  Deletes the contents of the current selection.

### setCursorPosition

    public void setCursorPosition(int position)

  Sets the cursor position

  Parameters:
    `position` - The position of the cursor. The cursor is displayed before the character with the given (base 0) index in the widget. The value must be less than or equal to the number of characters in the widget.

### getCursorPosition

    public int getCursorPosition()

  Retrieves the current cursor position.

  Returns:
    A 0 based integer that identifies the offset position of the cursor from the beginning of the text.

### setEditable

    public void setEditable(boolean isEditable)

  Determines if the user can edit the text contained in the widget.

  Parameters:
    `isEditable` - true if the user can edit the text.

### getEditable

    public boolean getEditable()

  Retrieves whether the text contained in the widget is editable.

  Returns:
    true if the text is editable.